Update player
curl --request PATCH \
--url https://sandbox.blitzboardstats.com/api/v1/blitz-api/teams/{teamId}/players/{playerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Alex J.",
"jerseyNumber": "12"
}
'import requests
url = "https://sandbox.blitzboardstats.com/api/v1/blitz-api/teams/{teamId}/players/{playerId}"
payload = {
"name": "Alex J.",
"jerseyNumber": "12"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Alex J.', jerseyNumber: '12'})
};
fetch('https://sandbox.blitzboardstats.com/api/v1/blitz-api/teams/{teamId}/players/{playerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "66f0a1b2c3d4e5f678901345",
"name": "Alex J.",
"email": "alex@example.com",
"position": [
"QUARTERBACK"
],
"jerseyNumber": "12",
"profilePicture": "https://cdn.example.com/players/alex.jpg"
}
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}Players
Update player
PATCH
/
v1
/
blitz-api
/
teams
/
{teamId}
/
players
/
{playerId}
Update player
Authorizations
Public integration API key (bb_live_...). Not a login JWT.
Path Parameters
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Body
application/json
The body is of type object.
Response
Player updated
Example:
{
"_id": "66f0a1b2c3d4e5f678901345",
"name": "Alex Johnson",
"email": "alex@example.com",
"position": ["QUARTERBACK"],
"jerseyNumber": "10",
"profilePicture": "https://cdn.example.com/players/alex.jpg"
}
⌘I
